using System;
using System.Collections.Generic;
using System.Net;
using System.Xml;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Widgets;
using NUnit.Framework;
using static Lokkihunter.Lokkihunter;
using Lokkihunter;

namespace TestLokkihunter
{
	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestLokkihunter
	{
		[Test]
		public  void TestTarkistaLokkiOikeaReuna495()
		{
			Assert.AreEqual( true, TarkistaLokkiOikeaReuna(40, 400) , "in method TarkistaLokkiOikeaReuna, line 496");
			Assert.AreEqual( true, TarkistaLokkiOikeaReuna(0, 400) , "in method TarkistaLokkiOikeaReuna, line 497");
			Assert.AreEqual( true, TarkistaLokkiOikeaReuna(-400, 400) , "in method TarkistaLokkiOikeaReuna, line 498");
			Assert.AreEqual( true, TarkistaLokkiOikeaReuna(400, 400) , "in method TarkistaLokkiOikeaReuna, line 499");
			Assert.AreEqual( false, TarkistaLokkiOikeaReuna(500, 400) , "in method TarkistaLokkiOikeaReuna, line 500");
		}
		[Test]
		public  void TestTarkistaLokkiVasenReuna516()
		{
			Assert.AreEqual( false, TarkistaLokkiVasenReuna(-40, -400) , "in method TarkistaLokkiVasenReuna, line 517");
			Assert.AreEqual( false, TarkistaLokkiVasenReuna(0, -400) , "in method TarkistaLokkiVasenReuna, line 518");
			Assert.AreEqual( false, TarkistaLokkiVasenReuna(400, -400) , "in method TarkistaLokkiVasenReuna, line 519");
			Assert.AreEqual( true, TarkistaLokkiVasenReuna(-400, -400) , "in method TarkistaLokkiVasenReuna, line 520");
			Assert.AreEqual( true, TarkistaLokkiVasenReuna(-500, -400) , "in method TarkistaLokkiVasenReuna, line 521");
		}
	}
}

